> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a subtask

> Retrieves a specified subtask.



## OpenAPI

````yaml /openapi.json get /tasks/{taskId}/subtasks/{id}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /tasks/{taskId}/subtasks/{id}:
    get:
      tags:
        - Tasks
      summary: Get a subtask
      description: Retrieves a specified subtask.
      operationId: GetSubTaskById
      parameters:
        - name: taskId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: When request is successful. Returns a 'SubTask' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubTask'
        '403':
          description: >-
            When subtask with specified id is not associated with authenticated
            client.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When subtask with specified task id and subtask id does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    SubTask:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        parentTask:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: The parent (task) of the subtask.
          nullable: true
        createdBy:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: The staff member who created the subtask.
          nullable: true
        completedBy:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: The staff member who completed the subtask.
          nullable: true
        lastUpdatedBy:
          allOf:
            - $ref: '#/components/schemas/Link'
          description: The staff member who last updated the subtask.
          nullable: true
        subject:
          type: string
          description: The subject - a short description of the subtask.
          nullable: true
          example: Confer with Mary
        completedDate:
          type: string
          description: |-
            **Deprecated.** Use `CompletedDateOnly` instead.

            When the subtask was completed in UTC.
          format: date-time
          nullable: true
          example: '2020-02-15T13:00:00Z'
          deprecated: true
        completedDateOnly:
          type: string
          description: |-
            The date when the subtask was completed.

            The time portion will always be set to 00:00:00
            and should be ignored. Only the date portion is relevant.
          format: date-time
          nullable: true
          example: '2020-02-15T00:00:00'
        createdDate:
          type: string
          description: |-
            **Deprecated.** Use `CreatedDateOnly` instead.

            When the subtask was created in UTC.
          format: date-time
          nullable: true
          example: '2020-02-15T13:00:00Z'
          deprecated: true
        createdDateOnly:
          type: string
          description: |-
            The date when the subtask was created.

            The time portion will always be set to 00:00:00
            and should be ignored. Only the date portion is relevant.
          format: date-time
          nullable: true
          example: '2020-02-15T00:00:00'
        isCompleted:
          type: boolean
          description: True when the subtask is completed.
          example: false
        isDeleted:
          type: boolean
          description: True when the subtask is deleted.
          example: false
        lastUpdated:
          type: integer
          description: Last updated timestamp.
          format: int64
          example: 637847425252027400
      additionalProperties: false
      description: Subtask resource.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````